Authorize Mandate
Mark the Mandate as authorized after obtaining end-user consent outside of the Finverse Link UI.
Access: This flow is available on demand for Finverse customers who do not need the Finverse UI to collect the user’s sender account details and obtain end-user consent. Contact [email protected] to request access.
To use this flow, the Customer must first complete the following API calls:
- Create a Payment User for the sender
- Create a Payment Account for the sender
- Create a Mandate with the existing sender account (Payment Account of the user). Refer to:
POST /mandates/sender_account. - Mark the Mandate as authorized (this API call).
Authorization: customer_token.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The mandate_id that is being authorized
Body
request body for authorizing a mandate
Whether a consent was provided by the enduser to authorize a mandate
Response
Successful
Details on the mandate
Finverse Mandate ID for this mandate. Always unique. Creating a mandate with different idempotency keys will result in two mandates with different IDs.
Details on the recipient of the payment
Details on the sender of the payment
Current status of the mandate. Possible values: AUTHORIZATION_REQUIRED, PROCESSING, READY_TO_SUBMIT, SUBMITTED, SUCCEEDED, CANCELLED, CLOSED, FAILED Note: CLOSED occurs when a draft Mandate is created by a Finverse Payment Link (with status AUTHORIZATION_REQUIRED), and the user then drops-off or creates a new Payment Method or Mandate. In these cases, Finverse closes the draft Mandate in order to associate a new Payment Method / Mandate with the same Payment Link.
AUTHORIZATION_REQUIRED, AUTHORIZING, PROCESSING, SUBMITTED, SUCCEEDED, FAILED, REVOKED Timestamp of the last update to the mandate's record
Timestamp when the mandate was first created
Details on why the mandate failed (returned when status = FAILED). Note: this is used to detail any asynchronous e errors occuring after mandate creation; any synchronous errors (e.g. API validation errors) will instead be returned directly during POST /mandates.
Details on the fee(s) to be charged
Customer-supplied attributes in key:value format. E.g. employer_name: Apple Inc
Finverse Payment Method ID for this mandate, used to create payments using the mandate (see POST /payments). Always unique. Creating a mandate with different idempotency keys will result in two mandates with different IDs.
Details on the recipient's account for the payment (i.e. the Customer App's settlement account at Finverse)
Details on the sender's source institution and account, which is funding the payment